Amarok 'audible.cpp' Audible File Multiple Integer Overflow and Memory Allocation Vulnerabilities

Solution:
The vendor released Amarok 2.0.1.1 to address these issues. Please see the references for more information.


Mandriva Linux Mandrake 2008.1 x86_64

Ubuntu Ubuntu Linux 7.10 powerpc

Mandriva Linux Mandrake 2008.1

Ubuntu Ubuntu Linux 8.04 LTS powerpc

Ubuntu Ubuntu Linux 8.10 powerpc

Debian Linux 4.0 powerpc

Ubuntu Ubuntu Linux 8.10 i386

Ubuntu Ubuntu Linux 8.04 LTS sparc

Mandriva Linux Mandrake 2008.0 x86_64

Ubuntu Ubuntu Linux 8.04 LTS amd64

Mandriva Linux Mandrake 2008.0

Ubuntu Ubuntu Linux 7.10 sparc

Ubuntu Ubuntu Linux 8.04 LTS lpia

Ubuntu Ubuntu Linux 7.10 lpia

Ubuntu Ubuntu Linux 8.10 lpia

Ubuntu Ubuntu Linux 7.10 i386

Debian Linux 4.0 amd64

Debian Linux 4.0 ia-32

Debian Linux 4.0 hppa

Debian Linux 4.0 s/390

Ubuntu Ubuntu Linux 8.10 sparc

Mandriva Linux Mandrake 2009.0

Amarok Amarok 2.0

Debian Linux 4.0 alpha

Ubuntu Ubuntu Linux 7.10 amd64

Ubuntu Ubuntu Linux 8.04 LTS i386

Mandriva Linux Mandrake 2009.0 x86_64

Debian Linux 4.0 mipsel

Amarok Amarok 1.4.9.1

Ubuntu Ubuntu Linux 8.10 amd64

Debian Linux 4.0 ia-64

Debian Linux 4.0 mips


 

Privacy Statement
Copyright 2010, SecurityFocus